(function() {
  
  // Cargamos la API de Google Maps
  google.load('maps', 3, {
    'other_params': 'sensor=false&language=en'
  });

  window.onload = function() {

    // Obtenemos la posicin
    if (google.loader.ClientLocation.latitude && google.loader.ClientLocation.longitude) {
    	
      // Almacenamos la posicin en la variable latLng
      var latLng = new google.maps.LatLng(google.loader.ClientLocation.latitude, 
                           google.loader.ClientLocation.longitude);
      
      // Creamos el contenido para el InfoWindow
      var location = 'Estas en '
      location += google.loader.ClientLocation.address.city + ', '; 
      location += google.loader.ClientLocation.address.country;
      
    } else {
    	
      // Si no se consigue devuelve una ubicacin por defecto y un mensaje de error
      var latLng = new google.maps.LatLng(0, 0);
      var location = 'No es posible geolocalizarte';
      
    }
  
    // Creamos el mapa
    var options = {
      zoom: 2,
      center: latLng,
      mapTypeId: google.maps.MapTypeId.ROADMAP
    }; 
    
    map = new google.maps.Map(document.getElementById('mapa'), options);
    
    // Aadimos un marcador al mapa
    var marker = new google.maps.Marker({
      position: latLng,
      map: map
    });
    
    // Creamos el InfoWindow
    var infoWindow = new google.maps.InfoWindow({
      content: location
    });
    
    // Aadimos el InfoWindow al mapa
    infoWindow.open(map, marker);
    
  }
  
})();
